### Function

# WebKit InputMethodUnderline new

since: 2.28

#### Declaration [src]

    WebKitInputMethodUnderline*
    webkit_input_method_underline_new (
      guint start_offset,
      guint end_offset
    )

#### Description [src]

Create a new `WebKitInputMethodUnderline` for the given range in preedit string.

Available since: 2.28

#### Parameters

`start_offset`

  Type: `guint`

  The start offset in preedit string.

`end_offset`

  Type: `guint`

  The end offset in preedit string.

#### Return value

Type: `WebKitInputMethodUnderline`

A newly created `WebKitInputMethodUnderline`.

The caller of the function takes ownership of the data, and is responsible for freeing it.